| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFEffectDescriptor Class Referenceabstract

`#include <AAX_IACFEffectDescriptor.h>`

Inheritance diagram for AAX_IACFEffectDescriptor:
[legend]
Collaboration diagram for AAX_IACFEffectDescriptor:
[legend]

## Description

Versioned interface for an AAX_IEffectDescriptor.

## Public Member Functions
virtual AAX_Result | AddComponent (IACFUnknown *inComponentDescriptor)=0
| Add a component to an instance of a component descriptor.
virtual AAX_Result | AddName (const char *inPlugInName)=0
| Add a name to the Effect.
virtual AAX_Result | AddCategory (uint32_t inCategory)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddCategoryBypassParameter (uint32_t inCategory, AAX_CParamID inParamID)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddProcPtr (void *inProcPtr, AAX_CProcPtrID inProcID)=0
| Add a process pointer.
virtual AAX_Result | SetProperties (IACFUnknown *inProperties)=0
| Set the properties of a new property map.
virtual AAX_Result | AddResourceInfo (AAX_EResourceType inResourceType, const char *inInfo)=0
| Set resource file info.
virtual AAX_Result | AddMeterDescription (AAX_CTypeID inMeterID, const char *inMeterName, IACFUnknown *inProperties)=0
| Add name and property map to meter with given ID.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ AddComponent()

virtual AAX_Result AAX_IACFEffectDescriptor::AddComponent | ( | IACFUnknown * | inComponentDescriptor | ) |
| pure virtual

Add a component to an instance of a component descriptor.

Unlike with AAX_ICollection::AddEffect(), the AAX_IEffectDescriptor does not take ownership of the AAX_IComponentDescriptor that is passed to it in this method. The host copies out the contents of this descriptor, and thus the plug-in may re-use the same descriptor object when creating additional similar components.

Parameters

  [in] | inComponentDescriptor |

## ◆ AddName()

virtual AAX_Result AAX_IACFEffectDescriptor::AddName | ( | const char * | inPlugInName | ) |
| pure virtual

Add a name to the Effect.

May be called multiple times to add abbreviated Effect names.

Note
  Every Effect must include at least one name variant with 31 or fewer characters, plus a null terminating character

Parameters

  [in] | inPlugInName | The name assigned to the plug-in.

## ◆ AddCategory()

virtual AAX_Result AAX_IACFEffectDescriptor::AddCategory | ( | uint32_t | inCategory | ) |
| pure virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.

## ◆ AddCategoryBypassParameter()

virtual AAX_Result AAX_IACFEffectDescriptor::AddCategoryBypassParameter | ( | uint32_t | inCategory,
|  | AAX_CParamID | inParamID
| ) |  |
| pure virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.
  [in] | inParamID | The parameter ID of the parameter used to bypass the category seciont of the plug-in.

## ◆ AddProcPtr()

virtual AAX_Result AAX_IACFEffectDescriptor::AddProcPtr | ( | void * | inProcPtr,
|  | AAX_CProcPtrID | inProcID
| ) |  |
| pure virtual

Add a process pointer.

Parameters

  [in] | inProcPtr | A process pointer.
  [in] | inProcID | A process ID.

## ◆ SetProperties()

virtual AAX_Result AAX_IACFEffectDescriptor::SetProperties | ( | IACFUnknown * | inProperties | ) |
| pure virtual

Set the properties of a new property map.

Parameters

  [in] | inProperties | Description

## ◆ AddResourceInfo()

virtual AAX_Result AAX_IACFEffectDescriptor::AddResourceInfo | ( | AAX_EResourceType | inResourceType,
|  | const char * | inInfo
| ) |  |
| pure virtual

Set resource file info.

Parameters

  [in] | inResourceType | See AAX_EResourceType.
  [in] | inInfo | Definition varies on the resource type.

## ◆ AddMeterDescription()

virtual AAX_Result AAX_IACFEffectDescriptor::AddMeterDescription | ( | AAX_CTypeID | inMeterID,
|  | const char * | inMeterName,
|  | IACFUnknown * | inProperties
| ) |  |
| pure virtual

Add name and property map to meter with given ID.

Parameters

  [in] | inMeterID | The ID of the meter being described.
  [in] | inMeterName | The name of the meter.
  [in] | inProperties | The property map containing meter related data such as meter type, orientation, etc.

The documentation for this class was generated from the following file:

- AAX_IACFEffectDescriptor.h